<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:11:01 CEST 2020 -->
<title>A-Index</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">Q</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="../org/polarsys/chess/mobius/Activator.html" title="class in org.polarsys.chess.mobius"><span class="typeNameLink">Activator</span></a> - Class in <a href="../org/polarsys/chess/mobius/package-summary.html">org.polarsys.chess.mobius</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.polarsys.chess.mobius.<a href="../org/polarsys/chess/mobius/Activator.html" title="class in org.polarsys.chess.mobius">Activator</a></dt>
<dd>
<div class="block">The constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html#addPropertiesFile-java.lang.String-">addPropertiesFile(String)</a></span> - Method in class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">AtomicComponentTemplate_sanmodel</a></dt>
<dd>
<div class="block">Adds a properties file in the list of properties files.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/ComposedComponentTemplate_sanmodel.html#addPropertiesFile-java.lang.String-">addPropertiesFile(String)</a></span> - Method in class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/ComposedComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">ComposedComponentTemplate_sanmodel</a></dt>
<dd>
<div class="block">Adds a properties file in the list of properties files.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/ProjectFileTemplate_sanmodel.html#addPropertiesFile-java.lang.String-">addPropertiesFile(String)</a></span> - Method in class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/ProjectFileTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">ProjectFileTemplate_sanmodel</a></dt>
<dd>
<div class="block">Adds a properties file in the list of properties files.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/utils/TransformationUtil.html#addToGlobalVars-java.lang.String-java.util.Set-">addToGlobalVars(String, Set&lt;String&gt;)</a></span> - Method in class org.polarsys.chess.mobius.utils.<a href="../org/polarsys/chess/mobius/utils/TransformationUtil.html" title="class in org.polarsys.chess.mobius.utils">TransformationUtil</a></dt>
<dd>
<div class="block">Adds the to global vars.</div>
</dd>
<dt><a href="../org/polarsys/chess/mobius/dialogs/AnalysisContextSelectionDialog.html" title="class in org.polarsys.chess.mobius.dialogs"><span class="typeNameLink">AnalysisContextSelectionDialog</span></a> - Class in <a href="../org/polarsys/chess/mobius/dialogs/package-summary.html">org.polarsys.chess.mobius.dialogs</a></dt>
<dd>
<div class="block">The Class AnalysisContextSelectionDialog.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/dialogs/AnalysisContextSelectionDialog.html#AnalysisContextSelectionDialog-org.eclipse.swt.widgets.Shell-java.util.List-java.lang.String-">AnalysisContextSelectionDialog(Shell, List&lt;Class&gt;, String)</a></span> - Constructor for class org.polarsys.chess.mobius.dialogs.<a href="../org/polarsys/chess/mobius/dialogs/AnalysisContextSelectionDialog.html" title="class in org.polarsys.chess.mobius.dialogs">AnalysisContextSelectionDialog</a></dt>
<dd>
<div class="block">Instantiates a new analysis context selection dialog.</div>
</dd>
<dt><a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates"><span class="typeNameLink">AtomicComponentTemplate_sanmodel</span></a> - Class in <a href="../org/polarsys/chess/mobius/templates/package-summary.html">org.polarsys.chess.mobius.templates</a></dt>
<dd>
<div class="block">Entry point of the 'AtomicComponentTemplate_sanmodel' generation module.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html#AtomicComponentTemplate_sanmodel--">AtomicComponentTemplate_sanmodel()</a></span> - Constructor for class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">AtomicComponentTemplate_sanmodel</a></dt>
<dd>
<div class="block">Allows the public constructor to be used.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html#AtomicComponentTemplate_sanmodel-org.eclipse.emf.common.util.URI-java.io.File-java.util.List-">AtomicComponentTemplate_sanmodel(URI, File, List&lt;? extends Object&gt;)</a></span> - Constructor for class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">AtomicComponentTemplate_sanmodel</a></dt>
<dd>
<div class="block">This allows clients to instantiates a generator with all required information.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html#AtomicComponentTemplate_sanmodel-org.eclipse.emf.ecore.EObject-java.io.File-java.util.List-">AtomicComponentTemplate_sanmodel(EObject, File, List&lt;? extends Object&gt;)</a></span> - Constructor for class org.polarsys.chess.mobius.templates.<a href="../org/polarsys/chess/mobius/templates/AtomicComponentTemplate_sanmodel.html" title="class in org.polarsys.chess.mobius.templates">AtomicComponentTemplate_sanmodel</a></dt>
<dd>
<div class="block">This allows clients to instantiates a generator with all required information.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">Q</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
